Debian Bug report logs - #473518
dupload: Fails to parse the .changes file with latest dpkg-dev

version graph

Package: dupload; Maintainer for dupload is Josip Rodin <joy-packages@debian.org>; Source for dupload is src:dupload.

Reported by: Guillem Jover <guillem@debian.org>

Date: Mon, 31 Mar 2008 05:03:01 UTC

Severity: important

Found in version dupload/2.6.3.3

Fixed in versions dupload/2.6.3.4, dupload/2.6.4

Done: Frank Lichtenheld <djpig@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Josip Rodin <joy-packages@debian.org>:
Bug#473518; Package dupload. Full text and rfc822 format available.

Acknowledgement sent to Guillem Jover <guillem@debian.org>:
New Bug report received and forwarded. Copy sent to Josip Rodin <joy-packages@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Guillem Jover <guillem@debian.org>
To: submit@bugs.debian.org
Subject: dupload: Fails to parse the .changes file with latest dpkg-dev
Date: Mon, 31 Mar 2008 08:00:34 +0300
Package: dupload
Version: 2.6.3.3
Severity: important

It fails to work with dpkg-dev 1.14.17 from experimental. This is due
to the new Checksums fields, I think. Would be nice to get fixed
before we upload a new dpkg version to unstable, and people can no
longer properly use dupload.

thanks,
guillem




Information forwarded to debian-bugs-dist@lists.debian.org, Josip Rodin <joy-packages@debian.org>:
Bug#473518; Package dupload. Full text and rfc822 format available.

Acknowledgement sent to Aurelien Jarno <aurelien@aurel32.net>:
Extra info received and forwarded to list. Copy sent to Josip Rodin <joy-packages@debian.org>. Full text and rfc822 format available.

Message #10 received at 473518@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurelien@aurel32.net>
To: Guillem Jover <guillem@debian.org>
Cc: 473518@bugs.debian.org, debian-dpkg@lists.debian.org
Subject: Re: dupload: Fails to parse the .changes file with latest dpkg-dev
Date: Mon, 31 Mar 2008 09:15:24 +0200
On Mon, Mar 31, 2008 at 08:00:34AM +0300, Guillem Jover wrote:
> Package: dupload
> Version: 2.6.3.3
> Severity: important
> 
> It fails to work with dpkg-dev 1.14.17 from experimental. This is due
> to the new Checksums fields, I think. Would be nice to get fixed
> before we upload a new dpkg version to unstable, and people can no
> longer properly use dupload.
> 

Please note that the build daemons are using dupload to upload packages.
Moreover, they are using the version from Etch.

That's why I think dpkg should not add those Checksums fields until
at least dupload is fixed and a package is uploaded to the debian-admin
repository.

-- 
  .''`.  Aurelien Jarno	            | GPG: 1024D/F1BCDB73
 : :' :  Debian developer           | Electrical Engineer
 `. `'   aurel32@debian.org         | aurelien@aurel32.net
   `-    people.debian.org/~aurel32 | www.aurel32.net




Information forwarded to debian-bugs-dist@lists.debian.org, Josip Rodin <joy-packages@debian.org>:
Bug#473518; Package dupload. Full text and rfc822 format available.

Acknowledgement sent to Frank Lichtenheld <djpig@debian.org>:
Extra info received and forwarded to list. Copy sent to Josip Rodin <joy-packages@debian.org>. Full text and rfc822 format available.

Message #15 received at 473518@bugs.debian.org (full text, mbox):

From: Frank Lichtenheld <djpig@debian.org>
To: Guillem Jover <guillem@debian.org>, 473518@bugs.debian.org
Subject: Re: Bug#473518: dupload: Fails to parse the .changes file with latest dpkg-dev
Date: Mon, 31 Mar 2008 20:27:05 +0200
On Mon, Mar 31, 2008 at 08:00:34AM +0300, Guillem Jover wrote:
> It fails to work with dpkg-dev 1.14.17 from experimental. This is due
> to the new Checksums fields, I think. Would be nice to get fixed
> before we upload a new dpkg version to unstable, and people can no
> longer properly use dupload.

Urgs, that code is horrid. It assumes that the Files: field will always
be last in the .changes file. The unstable version should obviously be
fixed. But we might be able to work around it for the etch version by
just assuring that the Files: field is indeed listed last.

Gruesse,
-- 
Frank Lichtenheld <djpig@debian.org>
www: http://www.djpig.de/




Information forwarded to debian-bugs-dist@lists.debian.org, Josip Rodin <joy-packages@debian.org>:
Bug#473518; Package dupload. Full text and rfc822 format available.

Acknowledgement sent to Josip Rodin <joy@debbugs.entuzijast.net>:
Extra info received and forwarded to list. Copy sent to Josip Rodin <joy-packages@debian.org>. Full text and rfc822 format available.

Message #20 received at 473518@bugs.debian.org (full text, mbox):

From: Josip Rodin <joy@debbugs.entuzijast.net>
To: Frank Lichtenheld <djpig@debian.org>, 473518@bugs.debian.org
Cc: Guillem Jover <guillem@debian.org>
Subject: Re: Bug#473518: dupload: Fails to parse the .changes file with latest dpkg-dev
Date: Tue, 1 Apr 2008 10:23:47 +0200
On Mon, Mar 31, 2008 at 08:27:05PM +0200, Frank Lichtenheld wrote:
> On Mon, Mar 31, 2008 at 08:00:34AM +0300, Guillem Jover wrote:
> > It fails to work with dpkg-dev 1.14.17 from experimental. This is due
> > to the new Checksums fields, I think. Would be nice to get fixed
> > before we upload a new dpkg version to unstable, and people can no
> > longer properly use dupload.
> 
> Urgs, that code is horrid. It assumes that the Files: field will always
> be last in the .changes file. The unstable version should obviously be
> fixed. But we might be able to work around it for the etch version by
> just assuring that the Files: field is indeed listed last.

Yep, the parser works when you move the two new Checksums-* fields before
Files, I just tested it.

-- 
     2. That which causes joy or happiness.




Information forwarded to debian-bugs-dist@lists.debian.org, Josip Rodin <joy-packages@debian.org>:
Bug#473518; Package dupload. Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to Josip Rodin <joy-packages@debian.org>. Full text and rfc822 format available.

Message #25 received at 473518@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Frank Lichtenheld <djpig@debian.org>
Cc: Guillem Jover <guillem@debian.org>, 473518@bugs.debian.org
Subject: Re: Bug#473518: dupload: Fails to parse the .changes file with latest dpkg-dev
Date: Wed, 2 Apr 2008 10:53:10 +0200
On Mon, 31 Mar 2008, Frank Lichtenheld wrote:
> On Mon, Mar 31, 2008 at 08:00:34AM +0300, Guillem Jover wrote:
> > It fails to work with dpkg-dev 1.14.17 from experimental. This is due
> > to the new Checksums fields, I think. Would be nice to get fixed
> > before we upload a new dpkg version to unstable, and people can no
> > longer properly use dupload.
> 
> Urgs, that code is horrid. It assumes that the Files: field will always
> be last in the .changes file. The unstable version should obviously be
> fixed. But we might be able to work around it for the etch version by
> just assuring that the Files: field is indeed listed last.

Indeed, I just pushed such a change in dpkg's master branch. sbuild also
has the same bug so it's definitely worth it.

Cheers,
-- 
Raphaël Hertzog

Le best-seller français mis à jour pour Debian Etch :
http://www.ouaza.com/livre/admin-debian/




Information forwarded to debian-bugs-dist@lists.debian.org, Josip Rodin <joy-packages@debian.org>:
Bug#473518; Package dupload. Full text and rfc822 format available.

Acknowledgement sent to Frank Lichtenheld <djpig@debian.org>:
Extra info received and forwarded to list. Copy sent to Josip Rodin <joy-packages@debian.org>. Full text and rfc822 format available.

Message #30 received at 473518@bugs.debian.org (full text, mbox):

From: Frank Lichtenheld <djpig@debian.org>
To: control@bugs.debian.org
Cc: 226101@bugs.debian.org, 360161@bugs.debian.org, 384703@bugs.debian.org, 420693@bugs.debian.org, 473518@bugs.debian.org, 477220@bugs.debian.org
Subject: setting package to dupload, tagging 384703, tagging 477220, tagging 360161, tagging 226101 ...
Date: Sat, 26 Apr 2008 01:24:49 +0200
# Automatically generated email from bts, devscripts version 2.10.26
#
# dupload (2.6.3.4) unstable; urgency=low
#
#  * Non-maintainer upload (Closes: #477220)
#  * Update mentors.debian.net configuration. Patch by Charles Plessy.
#    (Closes: #226101)
#  * Add volatile configuration. (Closes: #420693)
#  * Abort upload if distribution is UNRELEASED. (Closes: #384703)
#    (also remove support for "frozen")
#  * Add support for parsing and testing new checksums-* fields.
#    dupload will not complain if the fields are absent.
#    (Closes: #473518)
#  * Check file sizes, too. (Closes: #360161) 

package dupload
tags 384703 + pending
tags 477220 + pending
tags 360161 + pending
tags 226101 + pending
tags 420693 + pending
tags 473518 + pending





Tags added: pending Request was from Frank Lichtenheld <djpig@debian.org> to control@bugs.debian.org. (Fri, 25 Apr 2008 23:27:10 GMT) Full text and rfc822 format available.

Reply sent to Frank Lichtenheld <djpig@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Guillem Jover <guillem@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #37 received at 473518-close@bugs.debian.org (full text, mbox):

From: Frank Lichtenheld <djpig@debian.org>
To: 473518-close@bugs.debian.org
Subject: Bug#473518: fixed in dupload 2.6.3.4
Date: Fri, 02 May 2008 11:47:02 +0000
Source: dupload
Source-Version: 2.6.3.4

We believe that the bug you reported is fixed in the latest version of
dupload, which is due to be installed in the Debian FTP archive:

dupload_2.6.3.4.dsc
  to pool/main/d/dupload/dupload_2.6.3.4.dsc
dupload_2.6.3.4.tar.gz
  to pool/main/d/dupload/dupload_2.6.3.4.tar.gz
dupload_2.6.3.4_all.deb
  to pool/main/d/dupload/dupload_2.6.3.4_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 473518@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Frank Lichtenheld <djpig@debian.org> (supplier of updated dupload package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 25 Apr 2008 23:51:29 +0200
Source: dupload
Binary: dupload
Architecture: source all
Version: 2.6.3.4
Distribution: unstable
Urgency: low
Maintainer: Josip Rodin <joy-packages@debian.org>
Changed-By: Frank Lichtenheld <djpig@debian.org>
Description: 
 dupload    - utility to upload Debian packages
Closes: 226101 360161 384703 420693 473518 477220
Changes: 
 dupload (2.6.3.4) unstable; urgency=low
 .
   * Non-maintainer upload (Closes: #477220)
   * Update mentors.debian.net configuration. Patch by Charles Plessy.
     (Closes: #226101)
   * Add volatile configuration. (Closes: #420693)
   * Add backports.org configuration.
   * Abort upload if distribution is UNRELEASED. (Closes: #384703)
     (also remove support for "frozen")
   * Add support for parsing and testing new checksums-* fields.
     dupload will not complain if the fields are absent.
     (Closes: #473518)
   * Check file sizes, too. (Closes: #360161)
Checksums-Sha1: 
 ef2327967905f396817867de9b458833bcfe84ff 735 dupload_2.6.3.4.dsc
 a96ed7f5480ab85ef54d1917f3e908c0f53dbd69 23552 dupload_2.6.3.4.tar.gz
 18ddc0965cf12d8798681e0cbddd31451aa62dc5 30186 dupload_2.6.3.4_all.deb
Checksums-Sha256: 
 ff3975c407420710b6654c363d5311aed2259f5603b4ad78ccebdafcd5482af3 735 dupload_2.6.3.4.dsc
 3f3b9f4c1b70c6591a1a24fc529933f0ab507dd69a4ff233800cd53aef70c4cf 23552 dupload_2.6.3.4.tar.gz
 cce7c59719fc08feffd6b8fa9734a0f2933ace18cd5e0a3c40b94f84bb30cafb 30186 dupload_2.6.3.4_all.deb
Files: 
 f3d37c70a2381ae999e41ef611bdbcef 735 devel optional dupload_2.6.3.4.dsc
 51bf4020d11148d40cef74c49564a713 23552 devel optional dupload_2.6.3.4.tar.gz
 63bb634e2fed6ab2fb24368e42b99987 30186 devel optional dupload_2.6.3.4_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFIEmawQbn06FtxPfARAs5tAJ4oMxfyM4AOhznxMUKtybV0eNm+1ACeNzW9
nM20QP82o5lW7IEt1Zx7Um4=
=KxBu
-----END PGP SIGNATURE-----





Reply sent to Frank Lichtenheld <djpig@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Guillem Jover <guillem@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #42 received at 473518-close@bugs.debian.org (full text, mbox):

From: Frank Lichtenheld <djpig@debian.org>
To: 473518-close@bugs.debian.org
Subject: Bug#473518: fixed in dupload 2.6.4
Date: Fri, 02 May 2008 14:32:08 +0000
Source: dupload
Source-Version: 2.6.4

We believe that the bug you reported is fixed in the latest version of
dupload, which is due to be installed in the Debian FTP archive:

dupload_2.6.4.dsc
  to pool/main/d/dupload/dupload_2.6.4.dsc
dupload_2.6.4.tar.gz
  to pool/main/d/dupload/dupload_2.6.4.tar.gz
dupload_2.6.4_all.deb
  to pool/main/d/dupload/dupload_2.6.4_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 473518@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Frank Lichtenheld <djpig@debian.org> (supplier of updated dupload package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 02 May 2008 13:43:03 +0200
Source: dupload
Binary: dupload
Architecture: source all
Version: 2.6.4
Distribution: unstable
Urgency: low
Maintainer: Frank Lichtenheld <djpig@debian.org>
Changed-By: Frank Lichtenheld <djpig@debian.org>
Description: 
 dupload    - utility to upload Debian packages
Closes: 54344 56877 65630 98949 101882 222934 222938 225400 226101 226101 229744 249341 251286 279308 319910 321126 345078 356780 360161 384703 387678 395593 398135 420693 473518 477220
Changes: 
 dupload (2.6.4) unstable; urgency=low
 .
   * Add myself to Uploaders with Josip's approval
     + acknowledge NMUs
   * Make a few clean-ups I refrained from in the NMUs:
     + Increase debhelper compat level to 5
     + Add some missing dh_* calls (md5sums and installman)
     + Use dh_install and dh_link instead of install and ln
     + Bump Standards-Version to 3.7.3 (no changes)
 .
 dupload (2.6.3.4) unstable; urgency=low
 .
   * Non-maintainer upload (Closes: #477220)
   * Update mentors.debian.net configuration. Patch by Charles Plessy.
     (Closes: #226101)
   * Add volatile configuration. (Closes: #420693)
   * Add backports.org configuration.
   * Abort upload if distribution is UNRELEASED. (Closes: #384703)
     (also remove support for "frozen")
   * Add support for parsing and testing new checksums-* fields.
     dupload will not complain if the fields are absent.
     (Closes: #473518)
   * Check file sizes, too. (Closes: #360161)
 .
 dupload (2.6.3.3) unstable; urgency=low
 .
   * NMU (with maintainers consent) (Closes: #398135)
   * Recommend openssh-client instead of ssh, keep ssh as alternative
     for now. Reported by Aaron Schrab (Closes: #387678)
   * Setting $default_host from a local dupload.conf is now possible
     again. Reported by martin f krafft (Closes: #249341)
   * Add empty binary-arch target in debian/rules. Reported by
     Aurelien Jarno (Closes: #395593)
   * Treat DEBDELAY=0 correctly. Patch by Matej Vela (Closes: #356780)
   * Fix headers of man pages. Reported by Denis Barbier (Closes: #222934)
   * Update location of security upload queues. Reported by adrian
     (Closes: #345078)
   * Fix move of files to the queuedir. Patch by Bob Proulx
     (Closes: #279308)
   * Remove build-stamp in debian/rules' clean target
 .
 dupload (2.6.3.2) unstable; urgency=low
 .
   * NMU during BSP.
   * Try to differentiate between different gpg --verify error reasons
     to allow uploads from hosts where the public key is not available.
     (Closes: #321126)
 .
 dupload (2.6.3.1) unstable; urgency=low
 .
   * NMU to remove obsolete queues, based on
     http://www.debian.org/doc/developers-reference/ch-pkgs.en.html
     and
     http://lists.debian.org/debian-devel/2004/debian-devel-200401/msg01950.html>
     also cleaned up the bug list.
   * Removed non-functioning upload queues: anonymous-non-us, non-us,
     chiark, erlangen, uk, jp, and samosa. (Closes: #222938, #229744)
   * Added notes extracted from the Developer's reference regarding
     uploads to security and commented out these entries to prevent
     developers from uploading there unintentionally. (Closes: #251286)
   * Added a default configuration for uploading to mentors.debian.net
     (Closes: #226101)
   * Changed default (commented) upload queue to be anonymous-ftp-master
   * Use Goswin's patch to add an 'options' field in the configuration file
     which can be used to setup --progress and -L in rsync calls, or
     additional options to SSH if needed (Closes: #98949, #319910, #225400)
   * Check the .changes signature using gpg or pgp (if available) in order to
     prevent unsigned uploads. This is active by default for GPG but can be
     disabled in dupload.conf at will. Also, added two new simple scripts
     gpg-check and pgp-check to provide a wrapper to the check so that the
     error message in case of a failure is more user-friendly. I've implemented
     this as hooks rather than as new code in dupload to allow users to
     customise as needed. Note: DSC files are not checked since that should
     be done in a separate hook (and there is none for those files).
     (Closes: #54344, #56877, #65630, #101882)
   * Related to the above add references to the preupload/postupload hooks
     in the dupload.conf file.
Checksums-Sha1: 
 6330ce84c99a3e8bfca994743dfc93e514f3b9e2 775 dupload_2.6.4.dsc
 e3c7bfc39ad5b2f3ca187efd6cf9a92df35d3dc4 23738 dupload_2.6.4.tar.gz
 33541d515c2d1380c9eeb4753dd2768e538e8423 30728 dupload_2.6.4_all.deb
Checksums-Sha256: 
 db4548b8b0e019ea9152a3c5ddea367845b21ecabe81387c1d87613d59a73572 775 dupload_2.6.4.dsc
 f6a0e8885d2175f47051d3e750c24f11fdc6e6269d191a10111a895c30be9a79 23738 dupload_2.6.4.tar.gz
 85c5807b763f646dcc81aec80a0a3e934b120b698daf854dcaab9c74c4d0e2ca 30728 dupload_2.6.4_all.deb
Files: 
 08eb237b551497e5408d26bdb5c2011f 775 devel optional dupload_2.6.4.dsc
 a1e39af16a50d77e57712814a26f7083 23738 devel optional dupload_2.6.4.tar.gz
 7b64d850ac764f1f2bed94bde950d67c 30728 devel optional dupload_2.6.4_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFIGxNnQbn06FtxPfARAle5AKDUo1N+B4LOePMTySQOCz6V+j+kpACfbstN
DjPaoUjjiFU2l/KbJAgR14Y=
=rsV0
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 31 May 2008 07:29:41 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 15:31:59 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.